.block-save-recipe {
	background: var(--wp--preset--color--secondary);
	border: 2px solid var(--wp--preset--color--primary);
    padding: 16px;
}

.block-save-recipe .wpforms-container {
    margin: 0;
}

.block-save-recipe .wpforms-container .wpforms-head-container {
	display: grid;
	gap: 8px;
}

.block-save-recipe .wpforms-container .wpforms-head-container > * {
	margin: 0;
}

.block-save-recipe .wpforms-container .wpforms-title {
	font-size: var(--wp--preset--font-size--x-large);

	display: flex;
	align-items: center;
	gap: 16px;
}

.block-save-recipe .wpforms-container .wpforms-title::before {
	content: '';
	width: 32px;
	height: 32px;
	padding: 8px;
	border-radius: 50%;
	background-color: var(--wp--preset--color--background);
	background-image: url(/wp-content/themes/juliapacheco-2025/assets/icons/logo/sitelogo-supporting.svg);
	background-size: 24px;
	background-repeat: no-repeat;
	background-position: center center;
}


.block-save-recipe .wpforms-container .wpforms-description {
	font-size: var(--wp--preset--font-size--small);
	line-height: var(--wp--custom--line-height--normal);
}

.block-save-recipe .wpforms-container .wpforms-form {
	display: grid;
	grid-template-columns: 1fr fit-content(300px);
	gap: var(--wp--custom--layout--block-gap);
}

.block-save-recipe .wpforms-container .wpforms-head-container {
	grid-column: 1 / -1;
}

.block-save-recipe .wpforms-container .wpforms-field-container {
	display: flex;
	gap: var(--wp--custom--layout--block-gap);
}

.block-save-recipe .wpforms-container .wpforms-field {
	margin: 0;
	flex-basis: 0;
	flex-grow: 1;
}

.block-save-recipe .wpforms-container .wpforms-field-label {
	min-height: 26px;
}

.block-save-recipe .wpforms-container .wpforms-submit-container {
	margin: 0;
	padding-top: 26px;
}

@media only screen and (min-width: 768px) {

	.block-save-recipe div.wpforms-container .wpforms-form,
	.block-save-recipe div.wpforms-container.one-line .wpforms-form {
		grid-template-columns: 300px 1fr fit-content(300px);
		align-items: flex-end;
	}

	.block-save-recipe div.wpforms-container .wpforms-head-container,
	.block-save-recipe div.wpforms-container.one-line .wpforms-head-container {
		grid-column: span 1;
	}
}
